import numpy as np
# Mannings formel: 
# Q = M*A*R_h^(2/3)*I^(1/2) , hvor R_h = A /O_v 

# informasjon om ledning 22198A 
D = 0.800   #Diameter er 0.800 m
I = 4.39551 # helning til ledning i % 
M = 75 # Manning 

# bregninger 
r = D/2
A = np.pi*r**2     # Tversnitt areal 
O = 2*np.pi*r      # fult Rør
R_h = (A)/(O)      # Våt tversnitt 
Q_max = M*A*R_h**(2/3)*(I/100)**(1/2) #Maks vannføring 

print(Q_max)
print(R_h)








'''
# Mannings formel er Q = M*A*R**(2/3)*I**(1/2)
# før justering av Manning-tall
Q = 0.0196 
M = 68
# sette A*R**(2/3)*I**(1/2) som en konstant 
# k = A*R**(2/3)*I**(1/2)
k = Q / M
# finner passende Manning-tall 
Q_faktisk = 0.005 
M_ny = Q_faktisk /k 

print(f'Den nye Manning-tall bør være: {round(M_ny,3)} [m^(1/3)/s] ')
'''